import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Velha {

    public static void main(String[] args) throws IOException {

        String linha = "";

        BufferedReader entrada;

        entrada = new BufferedReader(new InputStreamReader(System.in));
        String temp[];

        while ((linha = entrada.readLine()) != null) {

            if (linha.equals("0")) {
                break;
            }

            int l = 0;

            int v[][] = new int[3][3];

            temp = linha.split(" ");

            for (int c = 0; c < 3; c++) {
                v[l][c] = Integer.parseInt(temp[c]);
            }

            l++;

            for (int x = 1; x < 3; x++) {
                linha = entrada.readLine();
                temp = linha.split(" ");
                for (int c = 0; c < 3; c++) {
                    v[l][c] = Integer.parseInt(temp[c]);
                }
                l++;
            }
            
            int r = ResVelha(v);
            
            if(r==1){
                System.out.println("X");
            }else if(r==-1){
                System.out.println("O");
            }else{
                System.out.println("Empate");
            }
        }
        System.exit(0);
    }

    public static int ResVelha(int v[][]) {
        boolean resolvido = false;
        int contX = 0;
        int contO = 0;
        // linhas
        for (int x = 0; x < 3; x++) {
            contX = 0;
            contO = 0;
            for (int y = 0; y < 3; y++) {
                if (v[x][y] == 1) {
                    contX++;
                } else if (v[x][y] == -1) {
                    contO++;
                }
            }
            if (contX == 3 || contO == 3) {
                resolvido = true;
                break;
            }
        }
        if (resolvido) {
            if (contX == 3) {
                return 1;
            } else {
                return -1;
            }
        }

        resolvido = false;
        // colunas
        for (int x = 0; x < 3; x++) {
            contX = 0;
            contO = 0;
            for (int y = 0; y < 3; y++) {
                if (v[y][x] == 1) {
                    contX++;
                } else if (v[y][x] == -1) {
                    contO++;
                }
            }
            if (contX == 3 || contO == 3) {
                resolvido = true;
                break;
            }
        }
        if (resolvido) {
            if (contX == 3) {
                return 1;
            } else {
                return -1;
            }
        }

        resolvido = false;
        contX = 0;
        contO = 0;
        // diagonal principal
        for (int x = 0; x < 3; x++) {
            if (v[x][x] == 1) {
                contX++;
            } else if (v[x][x] == -1) {
                contO++;
            }
            if (contX == 3 || contO == 3) {
                resolvido = true;
                break;
            }
        }
        if (resolvido) {
            if (contX == 3) {
                return 1;
            } else {
                return -1;
            }
        }

        resolvido = false;
        contX = 0;
        contO = 0;
        // diagonal secundaria
        for (int x = 0; x < 3; x++) {
            if (v[x][2 - x] == 1) {
                contX++;
            } else if (v[x][2 - x] == -1) {
                contO++;
            }
            if (contX == 3 || contO == 3) {
                resolvido = true;
                break;
            }
        }
        if (resolvido) {
            if (contX == 3) {
                return 1;
            } else {
                return -1;
            }
        }

        contX = 0;
        contO = 0;
        // empate
        for (int x = 0; x < 3; x++) {
            for (int y = 0; y < 3; y++) {
                if (v[x][y] == 1) {
                    contX++;
                } else if (v[x][y] == -1) {
                    contO++;
                }
            }
        }
        if (contX + contO == 9) {
            return 0;
        }

        return -2;
    }
}
